SocialNetworkingSite (Social Portal ASL Extension 1.1.0-4.1.0-132891 API)
Date: 2016-10-27

org.gcube.applicationsupportlayer.social.shared

## Class SocialNetworkingSite

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.shared.SocialNetworkingSite

- All Implemented Interfaces:
    Serializable

      public class SocialNetworkingSite
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialNetworkingSite(javax.servlet.http.HttpServletRequest request)`
    `SocialNetworkingSite(String serverName)`
    `SocialNetworkingSite(String siteName, String senderEmail, String siteURL, String siteLandingPagePath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getSenderEmail()`
    `String` | `getSiteLandingPagePath()`
    `String` | `getSiteURL()`
    `void` | `setName(String siteName)`
    `void` | `setSenderEmail(String senderEmail)`
    `void` | `setSiteLandingPagePath(String siteLandingPagePath)`
    `void` | `setSiteURL(String siteURL)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SocialNetworkingSite

          public SocialNetworkingSite(javax.servlet.http.HttpServletRequest request)

      Parameters:
        `request` - make sure that is not expired when you call it

    - #### SocialNetworkingSite

          public SocialNetworkingSite(String serverName)

      Parameters:
        `serverName` - e.g. myportal.mydomain.org

    - #### SocialNetworkingSite

          public SocialNetworkingSite(String siteName,
                                      String senderEmail,
                                      String siteURL,
                                      String siteLandingPagePath)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String siteName)

    - #### getSenderEmail

          public String getSenderEmail()

    - #### setSenderEmail

          public void setSenderEmail(String senderEmail)

    - #### getSiteURL

          public String getSiteURL()

    - #### setSiteURL

          public void setSiteURL(String siteURL)

    - #### getSiteLandingPagePath

          public String getSiteLandingPagePath()

    - #### setSiteLandingPagePath

          public void setSiteLandingPagePath(String siteLandingPagePath)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.